package com.qiyou.mb.android.beans.basic;

public class Note {
	private int id; 
	private int userId;
	private String userName;
//	private User_bean owner; 
	private String title;
	private String body;
	private long created;
	private long lastupdated;
	private String lastReplyer;
	private int replyCnt;
	private int lastReplyerId;
	
	private int  category;
	private int  subCate;
	private String  subCateName ; 
	private int  cateOwnerId ;
	private int  priority; 
	private int  mainPriority  ;
	private int catePriority ;
	private String userAlbum;
	private String lastEditBy;
	private int status;//0,normal;1,can not reply set by author;2 can not reply set by cateowner;3,can not reply by power
	
	public int getCategory() {
		return category;
	}
	public void setCategory(int category) {
		this.category = category;
	}
	public int getSubCate() {
		return subCate;
	}
	public void setSubCate(int subCate) {
		this.subCate = subCate;
	}
	public String getSubCateName() {
		return subCateName;
	}
	public void setSubCateName(String subCateName) {
		this.subCateName = subCateName;
	}
	public int getCateOwnerId() {
		return cateOwnerId;
	}
	public void setCateOwnerId(int cateOwnerId) {
		this.cateOwnerId = cateOwnerId;
	}
	public int getPriority() {
		return priority;
	}
	public void setPriority(int priority) {
		this.priority = priority;
	}
	public int getMainPriority() {
		return mainPriority;
	}
	public void setMainPriority(int mainPriority) {
		this.mainPriority = mainPriority;
	}
	public int getCatePriority() {
		return catePriority;
	}
	public void setCatePriority(int catePriority) {
		this.catePriority = catePriority;
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}
	public long getCreated() {
		return created;
	}
	public void setCreated(long created) {
		this.created = created;
	}
	public long getLastupdated() {
		return lastupdated;
	}
	public void setLastupdated(long lastupdated) {
		this.lastupdated = lastupdated;
	}
 
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getLastReplyer() {
		return lastReplyer;
	}
	public void setLastReplyer(String lastReplyer) {
		this.lastReplyer = lastReplyer;
	}
	public int getReplyCnt() {
		return replyCnt;
	}
	public void setReplyCnt(int replyCnt) {
		this.replyCnt = replyCnt;
	}
	public int getLastReplyerId() {
		return lastReplyerId;
	}
	public void setLastReplyerId(int lastReplyerId) {
		this.lastReplyerId = lastReplyerId;
	}
	public String getUserAlbum() {
		return userAlbum;
	}
	public void setUserAlbum(String userAlbum) {
		this.userAlbum = userAlbum;
	}
	public String getLastEditBy() {
		return lastEditBy;
	}
	public void setLastEditBy(String lastEditBy) {
		this.lastEditBy = lastEditBy;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
}
